import { Pipe, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
class NgHighlightTextPipe {
    /**
     * @param {?} text
     * @param {?=} searchTerm
     * @return {?}
     */
    transform(text, searchTerm) {
        /** @type {?} */
        let res;
        if (!text) {
            return '';
        }
        if (searchTerm) {
            text = String(text);
            /** @type {?} */
            const regx = new RegExp(searchTerm, 'gi');
            /** @type {?} */
            const match = text.match(regx);
            if (match) {
                /** @type {?} */
                const matchString = match[0];
                res = text.replace(regx, `<mark>${matchString}</mark>`);
            }
            else {
                res = text;
            }
            return res;
        }
        return text;
    }
}
NgHighlightTextPipe.decorators = [
    { type: Pipe, args: [{ name: 'highlight' },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
class NgHighlightTextModule {
}
NgHighlightTextModule.decorators = [
    { type: NgModule, args: [{
                imports: [],
                declarations: [NgHighlightTextPipe],
                exports: [NgHighlightTextPipe]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

export { NgHighlightTextPipe, NgHighlightTextModule };

//# sourceMappingURL=ng-highlight-text.js.map